## umap-learn 0.4.5+dfsg

=== requirements.txt ===
numpy>=1.17
scipy>=1.3.1
scikit-learn>=0.20
numba>=0.46,!=0.47

=== debian/changelog ===
umap-learn (0.4.5+dfsg-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jul 2020 14:14:08 +0200

umap-learn (0.4.5+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #961632)

 -- Andreas Tille <tille@debian.org>  Tue, 26 May 2020 22:53:24 +0200

=== debian/control ===
Source: umap-learn
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Nilesh Patra <npatra974@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-numpy,
               python3-scipy,
               python3-sklearn,
               python3-numba,
               python3-nose <!nocheck>,
               python3-pytest
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/umap-learn
Vcs-Git: https://salsa.debian.org/med-team/umap-learn.git
Homepage: https://github.com/lmcinnes/umap
Rules-Requires-Root: no

Package: umap-learn
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-scipy,
         python3-sklearn,
         python3-numba
Description: Uniform Manifold Approximation and Projection
 Uniform Manifold Approximation and Projection (UMAP) is a dimension
 reduction technique that can be used for visualisation similarly to t-
 SNE, but also for general non-linear dimension reduction. The algorithm
 is founded on three assumptions about the data:
 .
  1. The data is uniformly distributed on a Riemannian manifold;
  2. The Riemannian metric is locally constant (or can be
     approximated as such);
  3. The manifold is locally connected.
 .
 From these assumptions it is possible to model the manifold with a fuzzy
 topological structure. The embedding is found by searching for a low
 dimensional projection of the data that has the closest possible
 equivalent fuzzy topological structure.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"
endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-matplotlib, python3-numpy, python3-numba, python3-sklearn
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/lmcinnes/umap/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## umap-learn 0.5.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: umap-learn
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Nilesh Patra <npatra974@gmail.com>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -12,9 +11,10 @@
                python3-scipy,
                python3-sklearn,
                python3-numba,
-               python3-nose <!nocheck>,
-               python3-pytest
-Standards-Version: 4.5.0
+               python3-pynndescent <!nocheck>,
+               python3-tqdm <!nocheck>,
+               python3-pytest <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/umap-learn
 Vcs-Git: https://salsa.debian.org/med-team/umap-learn.git
 Homepage: https://github.com/lmcinnes/umap
@@ -27,7 +27,8 @@
          python3-numpy,
          python3-scipy,
          python3-sklearn,
-         python3-numba
+         python3-numba,
+         python3-pandas
 Description: Uniform Manifold Approximation and Projection
  Uniform Manifold Approximation and Projection (UMAP) is a dimension
  reduction technique that can be used for visualisation similarly to t-

## umap-learn 0.5.3+dfsg

=== Makefile ===
# make gh-pages in repo base directory to automatically build and deploy documents to github

gh-pages:
	echo "Make gh-pages"
	cd doc; make html
	git checkout gh-pages
	rm -rf _sources _static _modules _downloads _images auto_examples
	mv -fv doc/_build/html/* .
	rm -rf doc
	git add -A
	git commit -m "Generated gh-pages for `git log master -1 --pretty=short --abbrev-commit`" && git push origin gh-pages ; git checkout master

=== requirements.txt ===
numpy>=1.17
scipy>=1.3.1
scikit-learn>=0.22
numba>=0.51.2
pynndescent>=0.5
tbb>=2019.0
tqdm

=== debian/changelog ===
umap-learn (0.5.3+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Restrict testing arch to only amd64 due to
    numba quirks on other archs

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Feb 2023 09:47:33 +0530

umap-learn (0.5.3+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Fix watch file
  * Drop unused lintian override
  * Test runs only on 64 bit architectures
  * Standards-Version: 4.6.2 (routine-update)
  * Update lintian override info format in d/source/lintian-overrides on line
    2-3.
  * Build-Depends: python3-tqdm, python3-pynndescent
  * Apply upstream patches to work with latest version of scikit-learn
    Closes: #1030907
  * Depends: python3-pandas
  * Base autopkgtest on upstream examples
  * Do not try building on i386 since Build-Depends are missing for 32bit

  [ Nilesh Patra ]
  * d/tests:
    + Run tests with xvfb to run under headless env
    + Add test deps on xauth, xvfb, mayavi, seaborn
    + Update test code to get stuff passing
  * d/patches: Add patch to fix example code to get it running.
  * Drop B-D on nose (Closes: #1018656)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Feb 2023 13:50:19 +0530

umap-learn (0.4.5+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop myself from uploaders
  * Add patch to adapt to new trustworthiness API
    (Closes: #1002400)
  * Add patch to fix FTBFS with new numba
  * Fix scipy related changes
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 22 Aug 2022 13:26:56 +0530

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"
 endif
+
+override_dh_installexamples:
+	dh_installexamples
+	for exa in `grep -l '/usr/bin/env python' debian/*/usr/share/doc/*/examples/*.py`; do sed -i 's#/usr/bin/env python#/usr/bin/python3#' $${exa} ; done

## umap-learn 0.5.4+dfsg

=== debian/changelog ===
umap-learn (0.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2023 21:35:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-setuptools,
                python3-numpy,

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/lmcinnes/umap/tags .*/v?@ANY_VERSION@\.tar\.gz

## umap-learn 0.5.9.post2+dfsg

=== debian/changelog ===
umap-learn (0.5.9.post2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/watch: find new upstream releases
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * d/control: We need the newer numpy 2.0 compatible version of
    python3-pynndescent.
  * Added patch to support older sklearn.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Sep 2025 16:53:00 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                python3-scipy,
                python3-sklearn,
                python3-numba,
-               python3-pynndescent <!nocheck>,
+               python3-pynndescent (>= 0.5.13) <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/umap-learn
 Vcs-Git: https://salsa.debian.org/med-team/umap-learn.git
 Homepage: https://github.com/lmcinnes/umap

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Test-Command: xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1600x1200x24 -ac +extension GLX +render -noreset" sh debian/tests/run-unit-test
Depends: @, file, python3-all, python3-matplotlib, python3-numpy, python3-numba, python3-sklearn, python3-seaborn, mayavi2, xvfb, xauth
Restrictions: allow-stderr
Architecture: amd64

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/lmcinnes/umap/tags .*/release-@ANY_VERSION@\.tar\.gz
